For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/channels/get-api-contacts-v1channels-by-channel_id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
Retrieve Channel
GET
/api/contacts/v1/channels/:channel_id
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { channel, channelError } = await reloop.contacts.channels.get(6 "chn_123456789",7);8
9if (channelError) throw channelError;10
11console.log(channel.id, channel.name);1{2 "object": "channel",3 "id": "chn_123456789",4 "name": "Product Updates",5 "description": "Get the latest news about our products",6 "defaultSubscription": "opt_in",7 "visibility": "public",8 "createdAt": "2026-03-27T10:00:00Z",9 "updatedAt": "2026-03-27T10:00:00Z"10}Path Parameters
channel_idstringRequired
Channel ID
Was this page helpful?